/**
 ** Original Code
 ** Copyright (c) 1998 Reid Barton, Dan Adkins, Harald Prokop,
 ** Copyright (c) 1998 Matteo Frigo, Chris Joerg, Martin Rinard,
 ** Copyright (c) 1998 Don Dailey, Charles E. Leiserson

 ** Permission is hereby granted, free of charge, to any person
 ** obtaining a copy of this software and associated documentation
 ** files (the "Software"), to deal in the Software without
 ** restriction, including without limitation the rights to use,
 ** copy, modify, merge, publish, distribute, sublicense, and/or sell
 ** copies of the Software, and to permit persons to whom the
 ** Software is furnished to do so, subject to the following
 ** conditions:

 ** The above copyright notice and this permission notice shall be
 ** included in all copies or substantial portions of the Software.

 ** THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 ** EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 ** OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 ** NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 ** HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 ** WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 ** FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 ** OTHER DEALINGS IN THE SOFTWARE.

 ** 

 ** Port to Cilk++
 ** Copyright (c) 2010 Ruben Perez, Gregory Malecha

 ** Permission is hereby granted, free of charge, to any person
 ** obtaining a copy of this software and associated documentation
 ** files (the "Software"), to deal in the Software without
 ** restriction, including without limitation the rights to use,
 ** copy, modify, merge, publish, distribute, sublicense, and/or sell
 ** copies of the Software, and to permit persons to whom the
 ** Software is furnished to do so, subject to the following
 ** conditions:

 ** The above copyright notice and this permission notice shall be
 ** included in all copies or substantial portions of the Software.

 ** THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 ** EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 ** OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 ** NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 ** HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 ** WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 ** FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 ** OTHER DEALINGS IN THE SOFTWARE.
 **/
#include <stdio.h>

typedef unsigned long long u64;

u64 r;

int  main()
{
     int  x;
     int  y;
     int  t;
     int  i;
     char s[32];
     char buf[32];

     srand48( 293 );
     lrand48 ();
     
     for (t=0; t<3; t++)
     {
	  printf("\n");
	  for (x=0; x<32; x++)
	  {
	       printf("\n");
	       for (y=0; y<32; y++)
	       {
		    if ((y%4)==0) printf("\n");

		    r = 0ULL; 
		    for (i=0; i<64; i+=8)
			 r |= ((((u64) lrand48()) >> 7) & 0xff ) << i;
		    
		    sprintf(buf, "%llx", r );
		    sprintf(s, "0x%s", buf );
		    sprintf(buf,"%s,                  ", s );
		    buf[20] = 0;
		    printf("%s", buf );
		    
	       }
	  }
     }

     printf("\n\n");

}
